VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vcenter::Ovf::ParseIssue Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::ParseIssue:

## Classes
class | Category

## Avaliable Methods
public method | set_category ()
public method | set_message ()
public method | get_file ()
public method | get_column_number ()
public method | get_category ()
public method | get_message ()
public method | set_column_number ()
public method | new ()
public method | get_line_number ()
public method | set_file ()
public method | set_line_number ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::ParseIssue` class contains the information about the issue found when parsing an OVF package during deployment or exporting an OVF package including:

- Parsing and validation error on OVF descriptor (which is an XML document), manifest and certificate files.
- OVF descriptor generating and device error.
- Unexpected server error.

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::ParseIssue::get_category | ( |  | ) |

Gets the value of 'category' property.

Return values

  category | - The current value of the field. The category of the parse issue. Category#

Code:
click to view
# Number of lines of code in get_category: 4
sub get_category {
my ($self, %args) = @_;
return $self->{'category'};
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::get_column_number | ( |  | ) |

Gets the value of 'column_number' property.

Return values

  column_number | - The current value of the field. The position in the line (see :attr:`Com::Vmware::Vcenter::Ovf::ParseIssue.line_number` ) (or -1 if not applicable). long#

Code:
click to view
# Number of lines of code in get_column_number: 4
sub get_column_number {
my ($self, %args) = @_;
return $self->{'column_number'};
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::get_file | ( |  | ) |

Gets the value of 'file' property.

Return values

  file | - The current value of the field. The name of the file in which the parse issue was found. String#

Code:
click to view
# Number of lines of code in get_file: 4
sub get_file {
my ($self, %args) = @_;
return $self->{'file'};
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::get_line_number | ( |  | ) |

Gets the value of 'line_number' property.

Return values

  line_number | - The current value of the field. The line number of the line in the file (see :attr:`Com::Vmware::Vcenter::Ovf::ParseIssue.file` ) where the parse issue was found (or -1 if not applicable). long#

Code:
click to view
# Number of lines of code in get_line_number: 4
sub get_line_number {
my ($self, %args) = @_;
return $self->{'line_number'};
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::get_message | ( |  | ) |

Gets the value of 'message' property.

Return values

  message | - The current value of the field. A localizable message describing the parse issue. LocalizableMessage#

Code:
click to view
# Number of lines of code in get_message: 4
sub get_message {
my ($self, %args) = @_;
return $self->{'message'};
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::ParseIssue structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{category} = $args{'category'};
$self->{file} = $args{'file'};
$self->{line_number} = $args{'line_number'};
$self->{column_number} = $args{'column_number'};
$self->{message} = $args{'message'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::ParseIssue');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.parse_issue');
$self->set_binding_field('key' => 'category', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'ParseIssue::Category'));
$self->set_binding_field('key' => 'file', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'line_number', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'column_number', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'message', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage'));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::set_category | ( |  | ) |

Sets the given value for 'category' property.

Parameters

  category | - New value for the field. The category of the parse issue.

Code:
click to view
# Number of lines of code in set_category: 5
sub set_category {
my ($self, %args) = @_;
$self->{'category'} = $args{'category'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::set_column_number | ( |  | ) |

Sets the given value for 'column_number' property.

Parameters

  column_number | - New value for the field. The position in the line (see :attr:`Com::Vmware::Vcenter::Ovf::ParseIssue.line_number` ) (or -1 if not applicable).

Code:
click to view
# Number of lines of code in set_column_number: 5
sub set_column_number {
my ($self, %args) = @_;
$self->{'column_number'} = $args{'column_number'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::set_file | ( |  | ) |

Sets the given value for 'file' property.

Parameters

  file | - New value for the field. The name of the file in which the parse issue was found.

Code:
click to view
# Number of lines of code in set_file: 5
sub set_file {
my ($self, %args) = @_;
$self->{'file'} = $args{'file'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::set_line_number | ( |  | ) |

Sets the given value for 'line_number' property.

Parameters

  line_number | - New value for the field. The line number of the line in the file (see :attr:`Com::Vmware::Vcenter::Ovf::ParseIssue.file` ) where the parse issue was found (or -1 if not applicable).

Code:
click to view
# Number of lines of code in set_line_number: 5
sub set_line_number {
my ($self, %args) = @_;
$self->{'line_number'} = $args{'line_number'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ParseIssue::set_message | ( |  | ) |

Sets the given value for 'message' property.

Parameters

  message | - New value for the field. A localizable message describing the parse issue.

Code:
click to view
# Number of lines of code in set_message: 5
sub set_message {
my ($self, %args) = @_;
$self->{'message'} = $args{'message'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/ParseIssue.pm